## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _clapperenhdir /usr/lib64/clapper-0.0/enhancers

Name:           clapper-enhancers
Version:        0.8.2
Release:        %autorelease
Summary:        Plugins enhancing Clapper library capabilities

License:        LGPL-2.1-or-later
URL:            https://github.com/Rafostar/clapper-enhancers
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(clapper-0.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libpeas-2)
BuildRequires:  pkgconfig(libsoup-3.0)
# required by yt-dlp enhancer
Requires:       libpeas-loader-python%{_isa}
Requires:       python3dist(yt-dlp)

%description
This package contains the following plugins enhancing Clapper capabilities:
* lbry (odysee.com)
* peertube
* yt-dlp

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%dir %{_clapperenhdir}
%dir %{_clapperenhdir}/lbry
%{_clapperenhdir}/lbry/clapper-lbry.plugin
%{_clapperenhdir}/lbry/libclapper-lbry.so
%dir %{_clapperenhdir}/peertube
%{_clapperenhdir}/peertube/clapper-peertube.plugin
%{_clapperenhdir}/peertube/libclapper-peertube.so
%dir %{_clapperenhdir}/yt-dlp
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp.plugin
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp.py
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp_dash.py
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp_direct.py
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp_hls.py
%{_clapperenhdir}/yt-dlp/clapper_yt_dlp_overrides.py

%changelog
## START: Generated by rpmautospec
* Fri May 30 2025 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 0.8.2-1
- initial package for Fedora
## END: Generated by rpmautospec
